summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2024-12-12 19:48:10 +0100
committerDaniel Baumann <mail@daniel-baumann.ch>2024-12-12 19:49:01 +0100
commit9bcb073b12e5c12e20950b07f8eb8bf29a114717 (patch)
tree45af6bc1471fa1abcfa53aeaadae0a565b34ab0c
parentAdding upstream version 20241201. (diff)
downloaddokuwiki-templates-extra-debian.tar.xz
dokuwiki-templates-extra-debian.zip
Adding debian version 20241201-1.HEADdebian/20241201-1debian
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
-rw-r--r--debian/changelog5
-rw-r--r--debian/control27
-rw-r--r--debian/copyright31
-rwxr-xr-xdebian/dokuwiki-templates-extra.config15
-rwxr-xr-xdebian/dokuwiki-templates-extra.postinst65
-rwxr-xr-xdebian/dokuwiki-templates-extra.prerm34
-rw-r--r--debian/dokuwiki-templates-extra.templates10
-rw-r--r--debian/po/POTFILES.in1
-rw-r--r--debian/po/templates.pot36
-rwxr-xr-xdebian/rules25
-rw-r--r--debian/source/format1
11 files changed, 250 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..0061128
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+dokuwiki-templates-extra (20241201-1) unstable; urgency=low
+
+ * Initial upload to sid.
+
+ -- Daniel Baumann <daniel@debian.org> Thu, 12 Dec 2024 19:12:55 +0100
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..9994de6
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,27 @@
+Source: dokuwiki-templates-extra
+Section: web
+Priority: optional
+Maintainer: Daniel Baumann <daniel@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ python3-docutils,
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+
+Package: dokuwiki-templates-extra
+Section: web
+Architecture: all
+Depends:
+ dokuwiki (>= ${dokuwiki:Depends:low}~),
+ dokuwiki (<< ${dokuwiki:Depends:high}~),
+ ${misc:Depends},
+Enhances:
+ dokuwiki,
+Provides:
+ dokuwiki-template-ad-hominem (= 2024-10-07),
+Description: Conglomeration package of DokuWiki templates
+ The dokuwiki-templates-extra contains the following templates for
+ DokuWiki:
+ .
+ * ad-hominem:
+ Simple and lightweight, but modernized version of the default template
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..1fa2f2f
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,31 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name:
+ dokuwiki-template-ad-hominem
+Upstream-Contact:
+ dokuwiki-template-ad-hominem: https://github.com/saschaleib/dokuwiki-template-ad-hominem/issues
+Source:
+ dokuwiki-template-ad-hominem: https://github.com/saschaleib/dokuwiki-template-ad-hominem/tags
+
+Files: *
+Copyright: 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+License: GPL-2
+
+Files: templates/*/ad-hominem/*
+Copyright: 2021-2024 Sascha Leib <ad@hominem.info>
+License: GPL-2
+
+License: GPL-2
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, version 2 of the License.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <https://www.gnu.org/licenses/>.
+ .
+ The complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-2 file.
diff --git a/debian/dokuwiki-templates-extra.config b/debian/dokuwiki-templates-extra.config
new file mode 100755
index 0000000..2dfea55
--- /dev/null
+++ b/debian/dokuwiki-templates-extra.config
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+TEMPLATES="$(cd /usr/share/dokuwiki/templates-extra && ls -d */ | sed -e 's|/$|,|g')"
+db_subst dokuwiki-templates/templates choices $(echo ${TEMPLATES} | sed -e 's|,$||')
+
+db_fset dokuwiki-templates/templates seen false
+
+db_input high dokuwiki-templates/templates || true
+db_go
+
+db_stop
diff --git a/debian/dokuwiki-templates-extra.postinst b/debian/dokuwiki-templates-extra.postinst
new file mode 100755
index 0000000..491985c
--- /dev/null
+++ b/debian/dokuwiki-templates-extra.postinst
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+case "${1}" in
+ configure)
+ db_get dokuwiki-templates/templates
+ TEMPLATES="${RET:-none}"
+
+ db_stop
+
+ # Handling templates
+ DIRECTORIES="$(cd /usr/share/dokuwiki/templates-extra && ls -d */ | sed -e 's|/$||g')"
+
+ case "${TEMPLATES}" in
+ all)
+ TEMPLATES="${DIRECTORIES}"
+ ;;
+
+ none)
+ TEMPLATES=""
+ ;;
+
+ *)
+ TEMPLATES="$(echo ${TEMPLATES} | sed -e 's|,| |g')"
+ ;;
+ esac
+
+ # Disabling all templates
+ for TEMPLATE in ${DIRECTORIES}
+ do
+ if [ -L "/var/lib/dokuwiki/lib/tpl/${TEMPLATE}" ]
+ then
+ if [ "$(dirname $(readlink /var/lib/dokuwiki/lib/tpl/"${TEMPLATE}"))" = "/usr/share/dokuwiki/templates-extra" ]
+ then
+ rm -f "/var/lib/dokuwiki/lib/tpl/${TEMPLATE}"
+ fi
+ fi
+ done
+
+ # Enabling selected templates
+ for TEMPLATE in ${TEMPLATES}
+ do
+ if [ -e "/usr/share/dokuwiki/templates-extra/${TEMPLATE}" ]
+ then
+ ln -s "/usr/share/dokuwiki/templates-extra/${TEMPLATE}" "/var/lib/dokuwiki/lib/tpl/${TEMPLATE}"
+ fi
+ done
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dokuwiki-templates-extra.prerm b/debian/dokuwiki-templates-extra.prerm
new file mode 100755
index 0000000..963bdbd
--- /dev/null
+++ b/debian/dokuwiki-templates-extra.prerm
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove|upgrade|deconfigure)
+ DIRECTORIES="$(cd /usr/share/dokuwiki/templates-extra && ls -d */ | sed -e 's|/$||g')"
+
+ # Removing all templates
+ for TEMPLATE in ${DIRECTORIES}
+ do
+ if [ -L "/var/lib/dokuwiki/lib/tpl/${TEMPLATE}" ]
+ then
+ if [ "$(dirname $(readlink /var/lib/dokuwiki/lib/tpl/"${TEMPLATE}"))" = "/usr/share/dokuwiki/templates-extra" ]
+ then
+ rm -f "/var/lib/dokuwiki/lib/tpl/${TEMPLATE}"
+ fi
+ fi
+ done
+ ;;
+
+ failed-upgrade)
+
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dokuwiki-templates-extra.templates b/debian/dokuwiki-templates-extra.templates
new file mode 100644
index 0000000..fd47320
--- /dev/null
+++ b/debian/dokuwiki-templates-extra.templates
@@ -0,0 +1,10 @@
+Template: dokuwiki/title
+Type: title
+_Description: DokuWiki: Setup
+
+Template: dokuwiki-templates/templates
+Type: multiselect
+Choices: ${choices}
+Default:
+_Description: Enable dokuwiki templates
+ Select the templates that you would like to enable:
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644
index 0000000..00ac06a
--- /dev/null
+++ b/debian/po/POTFILES.in
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] dokuwiki-templates-extra.templates
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644
index 0000000..31db5e9
--- /dev/null
+++ b/debian/po/templates.pot
@@ -0,0 +1,36 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the dokuwiki-templates-extra package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: dokuwiki-templates-extra\n"
+"Report-Msgid-Bugs-To: dokuwiki-templates-extra@packages.debian.org\n"
+"POT-Creation-Date: 2024-12-12 19:48+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: title
+#. Description
+#: ../dokuwiki-templates-extra.templates:1001
+msgid "DokuWiki: Setup"
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../dokuwiki-templates-extra.templates:2001
+msgid "Enable dokuwiki templates"
+msgstr ""
+
+#. Type: multiselect
+#. Description
+#: ../dokuwiki-templates-extra.templates:2001
+msgid "Select the templates that you would like to enable:"
+msgstr ""
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..4c0a042
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,25 @@
+#!/usr/bin/make -f
+
+TEMPLATES_VERSION = 55
+
+DOKUWIKI_DEPENDS_LOW = 2024-02-06
+DOKUWIKI_DEPENDS_HIGH = 2026
+
+%:
+ dh ${@}
+
+execute_after_dh_auto_clean:
+ rm -f templates/current
+
+execute_before_dh_auto_build:
+ ln -s $(TEMPLATES_VERSION) templates/current
+
+execute_after_dh_auto_install:
+ # removing unused files
+ rm -f debian/dokuwiki-templates-extra/usr/share/doc/*/CHANGELOG.txt
+ rm -f debian/dokuwiki-templates-extra/usr/share/doc/*/LICENSE.txt
+
+override_dh_gencontrol:
+ dh_gencontrol -- \
+ -Vdokuwiki:Depends:low="$(DOKUWIKI_DEPENDS_LOW)" \
+ -Vdokuwiki:Depends:high="$(DOKUWIKI_DEPENDS_HIGH)"
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)